MantisBT

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005562ATutorModulespublic2015-01-05 18:122016-01-01 09:59
Reportergreg 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2 
Target Version2.2.1Fixed in Version2.2.1 
Summary0005562: Arrange_content privilege fails
DescriptionJerry:
I gave my assistant Annegret the ability to manage Content and though she could add content she cannot Arrange it. If she clicks on the Arrange tab a blank screen appears. I created the courses and have all privileges so I have no problem, but she is having the issue.

TagsNo tags attached.
Affects versionSVN
SVN Revision#cf0d636..0f21766
Attached Files

- Relationships

-  Notes
(0007019)
greg (administrator)
2015-01-05 18:15

Temporary fix added to /include/lib/menu_pages.inc.php ~ L88

         // Hack to fix arrange-content privilege failing
          global $moduleFactory;
          ////
Replace this with a proper fix. Why is $moduleFactory not set here when an privilegded user (other than the instructor) tries to access a tool?
(0007020)
greg (administrator)
2015-01-05 18:20

see cf0d636..0f21766 master -> master
(0007111)
greg (administrator)
2015-12-30 12:51

Made $moduleFactory global.
(0007154)
greg (administrator)
2016-01-01 09:59

Closed for 2.2.1

- Related Changesets
ATutor: master 0f21766f
Timestamp: 2015-01-05 18:19:43
Author: greg
Details ] Diff ]
5562: added temporary hack to fit broken tool permission issue
mod - include/lib/menu_pages.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-01-05 18:12 greg New Issue
2015-01-05 18:15 greg Note Added: 0007019
2015-01-05 18:20 greg Note Added: 0007020
2015-03-15 12:09 greg Changeset attached => ATutor master 0f21766f
2015-12-30 12:51 greg SVN Revision# => cf0d636..0f21766
2015-12-30 12:51 greg Note Added: 0007111
2015-12-30 12:51 greg Status new => resolved
2015-12-30 12:51 greg Fixed in Version => 2.2.1
2015-12-30 12:51 greg Resolution open => fixed
2015-12-30 12:51 greg Assigned To => greg
2016-01-01 09:59 greg Note Added: 0007154
2016-01-01 09:59 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker